﻿    @model Forum.WEB.ViewModel.DiscussionCategoryViewModel
@{
    ViewData["Title"] = "Все темы в катигории";
}

<h2>@Model.CategotyName</h2>
<table class="table">
    @foreach (var topic in Model.Topics)
    {
        <tr>
            <div>
                <td>    
                    <form asp-action="Index" asp-controller="Topic" method="get">
                            <input type="hidden" name="topicId" value="@topic.Id" />
                            <input type="submit" value="@topic.Topic" class="btn button" />
                    </form>
                </td>

                @if (User.IsInRole("Admin") || User.IsInRole("Root"))
                {
                    <td>
                        <form asp-action="EditTopic" asp-controller="Topic" method="get" >
                            <input type="hidden" name="topicId" value="@topic.Id" />
                            <button type="submit" class="btn btn-sm btn-success">
                                Редактировать
                            </button>
                        </form>

                        <form asp-action="DeleteTopic" asp-controller="Topic" method="post" >
                            <input type="hidden" name="topicId" value="@topic.Id" />
                            <input type="hidden" name="categoryId" value="@topic.IdCategory" />
                            <button type="submit" class="btn btn-sm btn-danger">
                                Удалить
                            </button>
                        </form>
                    </td>
                }
            </div>
        </tr>

    }
</table>

<footer>
@if (User.Identity.IsAuthenticated && (User.IsInRole("Root") || User.IsInRole("Admin")))
{
    <form asp-action="CreatTopic" asp-controller="Topic" method="get">
        <input type="hidden" name="categoryId" value="@Model.Id" />
        <input type="submit" value="Добавить Тему" class="btn button" />
    </form>
}
</footer>
